<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0"> <!-- displays site properly based on user's device -->

  <link rel="icon" type="image/png" sizes="32x32" href="./images/favicon-32x32.png">
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/modern-css-reset@1.4.0/src/reset.css">
  <link rel="preconnect" href="https://fonts.googleapis.com">
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
  <link href="https://fonts.googleapis.com/css2?family=Outfit:wght@400;700&display=swap" rel="stylesheet">
  
  <title>Frontend Mentor | QR code component</title>

  <style>
    body {
      font-family: 'Outfit', sans-serif;
      font-size: .938rem;
      line-height: 1.3;
      display: flex;
      align-items: center;
      justify-content: center;
      background-color: hsl(212, 45%, 89%);
    }
    #qrcode_component {
      max-width: 19.875rem;
      max-height: 31.25rem;
      background: hsl(0, 0%, 100%);
      padding: .938rem .938rem 2.75rem;
      border-radius: 1.25rem;
      text-align: center;
      -webkit-box-shadow: 0px 0px 20px 5px hsla(218, 44%, 22%, .1);
      box-shadow: 0px 0px 20px 5px hsla(218, 44%, 22%, .1);
    }
    #qrcode_component img {
      border-radius: .75rem;
    }
    #qrcode_component p {
      padding: 0 .938rem;
    }
    #qrcode_component .title {
      margin: 1.835rem 0 1.15rem;
      font-size: 1.25rem;
      font-weight: 700;
      letter-spacing: .5px;
      color: hsl(218, 44%, 22%);
    }
    #qrcode_component .desc {
      font-weight: 400;
      color: hsl(220, 15%, 55%);
    }
  </style>

</head>
<body>

  <div class="wrapper">
    <div id="qrcode_component">
      <img src="images/image-qr-code.png" width="288" height="288" alt="QR code" />
      <p class="title">Improve your front-end skills by building projects</p>
      <p class="desc">Scan the QR code to visit Frontend Mentor and take your coding skills to the next level</p>
    </div>
  </div>
  

</body>
</html>